Public Member Functions

# wxHtmlLinkInfo Class Reference
[HTML]

`#include <wx/html/htmlcell.h>`

Inheritance diagram for wxHtmlLinkInfo:
[legend]

## Detailed Description

This class stores all necessary information about hypertext links (as represented by <A> tag in HTML documents).

In current implementation it stores URL and target frame name.

Note:
  Frames are not currently supported by wxHTML!

##

Library: wxHTML
Category: HTML

## Public Member Functions
| wxHtmlLinkInfo ()
| Default ctor.
| wxHtmlLinkInfo (const wxString &href, const wxString &target=wxEmptyString)
| Construct hypertext link from HREF (aka URL) and TARGET (name of target frame).
const wxMouseEvent * | GetEvent () const
| Return pointer to event that generated OnLinkClicked() event.
wxString | GetHref () const
| Return HREF value of the <A> tag.
const wxHtmlCell * | GetHtmlCell () const
| Return pointer to the cell that was clicked.
wxString | GetTarget () const
| Return TARGET value of the <A> tag (this value is used to specify in which frame should be the page pointed by GetHref() Href opened).

List of all members.

## Constructor & Destructor Documentation

wxHtmlLinkInfo::wxHtmlLinkInfo | ( |  | ) |

Default ctor.

wxHtmlLinkInfo::wxHtmlLinkInfo | ( | const wxString & | href,
|  | const wxString & | target = `wxEmptyString` |
| ) |  |  |

Construct hypertext link from HREF (aka URL) and TARGET (name of target frame).

## Member Function Documentation

const wxMouseEvent* wxHtmlLinkInfo::GetEvent | ( |  | ) | const

Return pointer to event that generated OnLinkClicked() event.

Valid only within wxHtmlWindow::OnLinkClicked, NULL otherwise.

wxString wxHtmlLinkInfo::GetHref | ( |  | ) | const

Return HREF value of the <A> tag.

const wxHtmlCell* wxHtmlLinkInfo::GetHtmlCell | ( |  | ) | const

Return pointer to the cell that was clicked.

Valid only within wxHtmlWindow::OnLinkClicked, NULL otherwise.

wxString wxHtmlLinkInfo::GetTarget | ( |  | ) | const

Return TARGET value of the <A> tag (this value is used to specify in which frame should be the page pointed by GetHref() Href opened).

|  | [ top ]